> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Models

> List all available models grouped by provider.



## OpenAPI

````yaml /openapi.json get /api/v1/allmodelchat/models
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/allmodelchat/models:
    get:
      tags:
        - AllModelChat
      summary: List Models
      description: List all available models grouped by provider.
      operationId: list_models_api_v1_allmodelchat_models_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AmcModelListResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    AmcModelListResponse:
      properties:
        providers:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AmcModelResponse'
            type: array
          type: object
          title: Providers
      type: object
      required:
        - providers
      title: AmcModelListResponse
      description: Models grouped by provider.
    AmcModelResponse:
      properties:
        model_id:
          type: string
          title: Model Id
        provider:
          type: string
          title: Provider
        display_name:
          type: string
          title: Display Name
        short_name:
          type: string
          title: Short Name
        capabilities:
          items:
            type: string
          type: array
          title: Capabilities
        credit_cost:
          type: integer
          title: Credit Cost
        context_window:
          type: integer
          title: Context Window
        supports_streaming:
          type: boolean
          title: Supports Streaming
      type: object
      required:
        - model_id
        - provider
        - display_name
        - short_name
        - capabilities
        - credit_cost
        - context_window
        - supports_streaming
      title: AmcModelResponse
      description: A single model from the registry.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````